Delete Users in a Group

This endpoint deletes the specified users in a role of an existing group. On a successful delete, it returns a 204 No Content response.

Scope Required

groups:write

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
🚧

Body Parameters

  • id
    Required. ID of the user that will be removed from the group.
  • type
    Type of object that will be removed as a relationship. Can only be users.

Refer to the example request below.

https://api.betatest.degreed.com/api/v2/groups/<groupId>/relationships/<roleId>
  -H "Content-Type: application/json"
  -H "Authorization: Bearer <access_token>"
  -X DELETE
  -d '{ \
    "data": [ \
    { \
      "id": "64rrL" \
      "type": "users" \
        }, \
    { \
      "id": "8oWW3" \
      "type": "users" \
        } \
    ] \
  }'
Path Params
string
required

The ID of the group to update.

string
required

The role that the supplied user(s) have. Can be admins or members.

Body Params
data
array of objects
data
Response
204

Success

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here!